libwps_tools_win::Language Namespace Reference

an enum used to define the language in Windows© for spell check More...

## Functions
std::string | name (long id)
| returns the name given Windows© id
std::string | localeName (long id)
| returns the simplified locale name
void | addLocaleName (long id, librevenge::RVNGPropertyList &propList)
| add locale name (ie. fo:language,fo:country ) to propList
long | getDefault ()
| returns the default language: 0x409 : english(US)

## Detailed Description

an enum used to define the language in Windows© for spell check

## Function Documentation

## ◆ addLocaleName()

void libwps_tools_win::Language::addLocaleName | ( | long | id,
|  | librevenge::RVNGPropertyList & | propList )

add locale name (ie. fo:language,fo:country ) to propList

Referenced by WPSFont::addTo().

## ◆ getDefault()

long libwps_tools_win::Language::getDefault | ( |  | ) |

returns the default language: 0x409 : english(US)

## ◆ localeName()

std::string libwps_tools_win::Language::localeName | ( | long | id | ) |

returns the simplified locale name

Referenced by addLocaleName(), WPS8Parser::readDocProperties(), WKSContentListener::setDocumentLanguage(), and WPSContentListener::setDocumentLanguage().

## ◆ name()

std::string libwps_tools_win::Language::name | ( | long | id | ) |

returns the name given Windows© id

Referenced by WPS8Parser::readDocProperties().